"""add constraints and objectives

Revision ID: eb3ec5030284
Revises: 8d697a96046b
Create Date: 2024-08-28 18:07:56.824852

"""
import sqlalchemy_utils
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'eb3ec5030284'
down_revision = '8d697a96046b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('workflow_action_constraints',
    sa.Column('site_list', sqlalchemy_utils.types.scalar_list.ScalarListType(), nullable=True),
    sa.Column('site_type_list', sqlalchemy_utils.types.scalar_list.ScalarListType(), nullable=True),
    sa.Column('node_pool_list', sqlalchemy_utils.types.scalar_list.ScalarListType(), nullable=True),
    sa.Column('arch_list', sqlalchemy_utils.types.scalar_list.ScalarListType(), nullable=True),
    sa.Column('workflow_action_id', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['workflow_action_id'], ['workflow_action.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('workflow_action_id')
    )
    op.create_table('workflow_action_objectives',
    sa.Column('energy', sa.Float(), nullable=True),
    sa.Column('cost', sa.Float(), nullable=True),
    sa.Column('performance', sa.Float(), nullable=True),
    sa.Column('workflow_action_id', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['workflow_action_id'], ['workflow_action.id'], ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('workflow_action_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('workflow_action_objectives')
    op.drop_table('workflow_action_constraints')
    # ### end Alembic commands ###
